%define major 2
%define libxrandr %mklibname xrandr %{major}
%define devxrandr %mklibname xrandr -d

Name: libxrandr
Summary:  X RandR Library
Version: 1.5.1
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: x11-proto-devel >= 7.4-16mdv2009.1
BuildRequires: x11-util-macros >= 1.0.1

%description
X RandR Library

#-----------------------------------------------------------

%package -n %{libxrandr}
Summary:  X RandR Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxrandr}
X RandR Library

%files -n %{libxrandr}
%{_libdir}/libXrandr.so.%{major}
%{_libdir}/libXrandr.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxrandr}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxrandr} = %{version}-%{release}
Provides: libxrandr-devel = %{version}-%{release}
Obsoletes: %{_lib}xrandr2-devel < 1.4.1-2
Obsoletes: %{_lib}xrandr2-static-devel < 1.4.1-2

%description -n %{devxrandr}
Development files for %{name}

%files -n %{devxrandr}
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_includedir}/X11/extensions/Xrandr.h
%{_mandir}/man3/XRR*.3*
%{_mandir}/man3/Xrandr.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXrandr-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Oct 05 2016 tv <tv> 1.5.1-1.mga6
+ Revision: 1058895
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 956005
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.5.0-1.mga6
+ Revision: 837499
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 740387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-3.mga5
+ Revision: 681895
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.2-2.mga4
+ Revision: 534478
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.4.2-1.mga4
+ Revision: 477902
- new release

* Thu Aug 22 2013 wally <wally> 1.4.1-2.mga4
+ Revision: 469384
- drop major from deval pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Mon Jun 03 2013 tv <tv> 1.4.1-1.mga4
+ Revision: 435884
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.0-3.mga3
+ Revision: 397166
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 358627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 tv <tv> 1.4.0-1.mga3
+ Revision: 275338
- new release

* Mon Nov 21 2011 fwang <fwang> 1.3.2-2.mga2
+ Revision: 170342
- drop .la files

* Thu Jun 30 2011 tv <tv> 1.3.2-1.mga2
+ Revision: 116944
- new release

* Wed Jan 12 2011 dmorgan <dmorgan> 1.3.1-2.mga1
+ Revision: 7296
- imported package libxrandr

